// стилизация выпадающих списков с помощью jQuery-плагина Chosen
function styleSelect() {
	var el = $('.select-custom');

	if( el ) {
		el.each(function() {
			var self = $(this);

			self.chosen({
				placeholder_text_single: self.data('placeholder'),
				disable_search_threshold: 10,
				disable_search: !self.hasClass('search'),
				allow_single_deselect: false,
				inherit_select_classes: true,
				width: 'none',
				search_contains: true
			});

			self.on('chosen:showing_dropdown', function(evt, params) {
			    params.chosen.search_results.perfectScrollbar();
			});
		})
	}
}

// для стилизации скролл-бара
function styleScrollBar() {
	//$('.js-scroll').perfectScrollbar();
}

// для фиксировании шапки у таблицы
function fixed_thead() {
	var  $fixedThead = $('.fixed-thead');

	if($fixedThead.length > 0) {
		$fixedThead.floatThead({
			useAbsolutePositioning: false,
			scrollContainer: function($table) {
				return $fixedThead.parent();
			},
			autoReflow: true
		});
	}
}


function setBreadcrumbs(array, targetOrigin) {
	try {
		if (targetOrigin) {
			parent.window.postMessage(JSON.stringify({
					message: 'setBreadcrumbs',
					data: array
				}),
				targetOrigin /* "http://91.226.250.57:32004" адрес сайта родительского окна, нужно заменить на настоящий */
			);
		}
	} catch (e) {

	}
}


$(document).ready(function() {

	styleSelect();
	fixed_thead();
	styleScrollBar();

});	/* ready */



$(window).load(function() {

});


$(window).on('resize', function() {

});